Cabal-2.0.1.0: A framework for packaging Haskell software

Safe Haskell | None
Language | Haskell2010

Distribution.Types.IncludeRenaming

Synopsis

- data IncludeRenaming = IncludeRenaming {
  - includeProvidesRn :: ModuleRenaming
  - includeRequiresRn :: ModuleRenaming
  }
- defaultIncludeRenaming :: IncludeRenaming
- isDefaultIncludeRenaming :: IncludeRenaming -> Bool

# Documentation

data IncludeRenaming #

A renaming on an include: (provides renaming, requires renaming)

Constructors

IncludeRenaming |

Fields

- includeProvidesRn :: ModuleRenaming
- includeRequiresRn :: ModuleRenaming

Instances

Eq IncludeRenaming # |
Methods (==) :: IncludeRenaming -> IncludeRenaming -> Bool # (/=) :: IncludeRenaming -> IncludeRenaming -> Bool #
Data IncludeRenaming # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> IncludeRenaming -> c IncludeRenaming Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c IncludeRenaming Source #

toConstr :: IncludeRenaming -> Constr Source #

dataTypeOf :: IncludeRenaming -> DataType Source #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c IncludeRenaming) Source #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c IncludeRenaming) Source #

gmapT :: (forall b. Data b => b -> b) -> IncludeRenaming -> IncludeRenaming Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> IncludeRenaming -> r Source #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> IncludeRenaming -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> IncludeRenaming -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> IncludeRenaming -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> IncludeRenaming -> m IncludeRenaming Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> IncludeRenaming -> m IncludeRenaming Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> IncludeRenaming -> m IncludeRenaming Source #

Ord IncludeRenaming # |

Methods

compare :: IncludeRenaming -> IncludeRenaming -> Ordering #

(<) :: IncludeRenaming -> IncludeRenaming -> Bool #

(<=) :: IncludeRenaming -> IncludeRenaming -> Bool #

(>) :: IncludeRenaming -> IncludeRenaming -> Bool #

(>=) :: IncludeRenaming -> IncludeRenaming -> Bool #

max :: IncludeRenaming -> IncludeRenaming -> IncludeRenaming #

min :: IncludeRenaming -> IncludeRenaming -> IncludeRenaming #

Read IncludeRenaming # |
Methods readsPrec :: Int -> ReadS IncludeRenaming Source # readList :: ReadS [IncludeRenaming] Source # readPrec :: ReadPrec IncludeRenaming Source # readListPrec :: ReadPrec [IncludeRenaming] Source #
Show IncludeRenaming # |
Methods showsPrec :: Int -> IncludeRenaming -> ShowS Source # show :: IncludeRenaming -> String Source # showList :: [IncludeRenaming] -> ShowS Source #
Generic IncludeRenaming # |
Associated Types type Rep IncludeRenaming :: * -> * Source # Methods from :: IncludeRenaming -> Rep IncludeRenaming x Source # to :: Rep IncludeRenaming x -> IncludeRenaming Source #
Binary IncludeRenaming # |
Methods put :: IncludeRenaming -> Put Source # get :: Get IncludeRenaming Source # putList :: [IncludeRenaming] -> Put Source #
Text IncludeRenaming # |
Methods disp :: IncludeRenaming -> Doc # parse :: ReadP r IncludeRenaming #
type Rep IncludeRenaming # |

type Rep IncludeRenaming = D1 * (MetaData "IncludeRenaming" "Distribution.Types.IncludeRenaming" "Cabal-2.0.1.0" False) (C1 * (MetaCons "IncludeRenaming" PrefixI True) ((:*:) * (S1 * (MetaSel (Just Symbol "includeProvidesRn") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * ModuleRenaming)) (S1 * (MetaSel (Just Symbol "includeRequiresRn") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * ModuleRenaming))))

defaultIncludeRenaming :: IncludeRenaming #

The `defaultIncludeRenaming` applied when you only `build-depends` on a package.

isDefaultIncludeRenaming :: IncludeRenaming -> Bool #

Is an `IncludeRenaming` the default one?